# Class MalformedURLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.net.MalformedURLException

All Implemented Interfaces:
  `Serializable`

public class MalformedURLException extends IOException
Thrown to indicate that a malformed URL has occurred. Either no legal protocol could be found in a specification string or the string could not be parsed.

Since:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MalformedURLException()`
Constructs a `MalformedURLException` with no detail message.
`MalformedURLException(String msg)`
Constructs a `MalformedURLException` with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MalformedURLException

public MalformedURLException()
Constructs a `MalformedURLException` with no detail message.

### MalformedURLException

public MalformedURLException(String msg)
Constructs a `MalformedURLException` with the specified detail message.

Parameters:
  `msg` - the detail message.